This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 23816 - Classpath library items
Summary: Classpath library items
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 3.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Svata Dedic
URL:
Keywords:
Depends on: 23800
Blocks: 23572 23798 23818 23970
  Show dependency tree
 
Reported: 2002-05-22 08:53 UTC by Svata Dedic
Modified: 2007-09-26 09:14 UTC (History)
0 users

See Also:
Issue Type: TASK
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2002-05-22 08:53:38 UTC
Provide implementation of resources identifiable
as items of classpath for particular service
type(s). The implementation should be done so it
permits:
- add a folder
- add a JAR/ZIP
- add a portion of a JAR (e.g. /classes directory
in the archive)
The implementation should work in concert with the
NetBeans filesystems library.
Comment 1 Svata Dedic 2002-05-22 10:18:34 UTC
Adjusting milestone for planning
Comment 2 Svata Dedic 2002-08-08 22:09:59 UTC
Commited in classpath_api_40 branch; will merge w/ projects together
with the inheritance/factory impl.
Comment 3 Jan Becicka 2003-11-25 14:03:35 UTC
As described in
http://www.netbeans.org/servlets/ReadMsg?msgId=619519&listName=nbdiscuss the
current work on projects prototype has been stopped.

Marking issue as VERIFIED --->
Comment 4 Jan Becicka 2003-11-25 14:12:44 UTC
---> CLOSED